using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace drugizad
{
    class Program
    {
        static void Main(string[] args)
        {
            bool poz = false;
            bool neg = false;
            int sreca = 0;
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[,] x = new int[n, 2];
            for (int i = 0; i < n; i++)
            {
                x[i, 0] = int.Parse(Console.ReadLine());
                x[i, 1] = 0;
            }
            for(int i = 0; i < m; i++)
            {
                string[] s1 = Console.ReadLine().Split(' ');
                int o1 = int.Parse(s1[0]);
                int o2 = int.Parse(s1[1]);
                x[o1 - 1, 1]++;
                x[o2 - 1, 1]++;
            }
            for (int i = 0; i < n; i++)
            {
                if (x[i, 0] > 0)
                {
                    poz = true;
                }
                else
                {
                    poz = false;
                    break;
                }
                
            }
            for(int i = 0; i < n; i++)
            {
                if (x[i, 0] < 0) neg = true;
                else
                {
                    neg = false;
                    break;
                }
            }
            if (poz||neg)
            {
                for (int i = 0; i < n; i++)
                {
                    if (poz) sreca = sreca + x[i, 0] * x[i, 1];
                    else sreca = sreca + x[i, 0] * x[i, 1] * -1;


                }
            }
            else
            {
                int sreca_neprijatelji = 0;
                int sreca_prijatelji = 0;
                for (int i = 0; i < n; i++) sreca_prijatelji = sreca_prijatelji + x[i, 0] * x[i, 1];
                for (int i = 0; i < n; i++)
                {
                    x[i, 0] = x[i, 0] * -1;
                   sreca_neprijatelji = sreca_neprijatelji + x[i, 0] * x[i, 1];
                }
                sreca = Math.Max(sreca_neprijatelji, sreca_prijatelji);
            }

            Console.WriteLine(sreca);
        }
    }
}